Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc.javaops
Class PreInc

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.misc.javaops.AbstractInc
              com.singularsys.jep.misc.javaops.PreInc

All Implemented Interfaces:
  CallbackEvaluationI, PostfixMathCommandI, java.io.Serializable

    public class PreInc

extends AbstractInc

Java style ++x operator.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`PreInc()`

Method Summary
`java.lang.Object` | `evaluate(Node node, Evaluator pv)` Performs some special evaluation on the node.

Methods inherited from class com.singularsys.jep.misc.javaops.AbstractInc
`getVal, getVar, run`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreInc

    public PreInc()

Method Detail

### evaluate

    public java.lang.Object evaluate(Node node,
                                     Evaluator pv)
                              throws EvaluationException

  Description copied from interface: `CallbackEvaluationI`
  Performs some special evaluation on the node. This method has the responsibility for evaluating the children of the node and it should generally call

       pv.eval(node.jjtGetChild(i))

  for each child. The SymbolTable is not passed as an argument. This is because it is better practice to get and set variable values by using node.getVar().setValue() rather that through the SymbolTable with requires a hashtable lookup.

  Parameters:
    `node` - The current node
    `pv` - The visitor, can be used evaluate the children
  Returns:
    the value after evaluation
  Throws:
    `EvaluationException`
  See Also:
    `Evaluator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep